/*!**************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[1]!./node_modules/postcss-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[2]!./node_modules/resolve-url-loader/index.js??ruleSet[1].rules[4].oneOf[1].use[3]!./node_modules/sass-loader/dist/cjs.js??ruleSet[1].rules[4].oneOf[1].use[4]!./scss/content-elements/imageteaser.scss ***!
  \**************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
.imageteaser {
  padding: 0;
  display: grid;
  grid-auto-columns: 1fr;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;
  gap: 1rem;
  grid-template-areas: "imageteaser-gallery" "imageteaser-bodytext";
}
.imageteaser.bg-orange {
  padding: 1rem;
}
@media (min-width: 768px) {
  .imageteaser.bg-orange {
    padding: 2rem;
  }
}
@media (max-width: 575.98px) {
  .imageteaser.container {
    width: calc(100% - var(--bs-gutter-x));
    margin-right: calc(var(--bs-gutter-x) * 0.5);
    margin-left: calc(var(--bs-gutter-x) * 0.5);
  }
}
@media (min-width: 768px) {
  .imageteaser {
    gap: 0 2rem;
    grid-auto-columns: 1fr;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas: "imageteaser-gallery imageteaser-bodytext";
  }
}
@media (min-width: 768px) and (min-width: 992px) {
  .imageteaser {
    grid-template-columns: 1fr 2fr;
  }
}
@media (min-width: 768px) {
  .imageteaser.imageteaser-image-right {
    grid-template-areas: "imageteaser-bodytext imageteaser-gallery";
  }
}
@media (min-width: 768px) and (min-width: 992px) {
  .imageteaser.imageteaser-image-right {
    grid-template-columns: 2fr 1fr;
  }
}
.imageteaser__gallery {
  grid-area: imageteaser-gallery;
}
.imageteaser__gallery img {
  max-width: 100%;
  width: 100%;
  height: auto;
  aspect-ratio: 16/9;
}
.imageteaser__bodytext {
  display: grid;
  grid-area: imageteaser-bodytext;
  align-content: center;
}
.imageteaser__bodytext h1 a, .imageteaser__bodytext h2 a, .imageteaser__bodytext h3 a, .imageteaser__bodytext h4 a, .imageteaser__bodytext h5 a {
  text-decoration: none;
}
.imageteaser__bodytext h1 a::after, .imageteaser__bodytext h2 a::after, .imageteaser__bodytext h3 a::after, .imageteaser__bodytext h4 a::after, .imageteaser__bodytext h5 a::after {
  content: "";
  -webkit-mask-image: url(/typo3conf/ext/rwz/Resources/Public/Rwz.ag/images/arrow-right.8038c011.svg);
  mask-image: url(/typo3conf/ext/rwz/Resources/Public/Rwz.ag/images/arrow-right.8038c011.svg);
  display: inline-block;
  background-color: var(--rwz-col-primary);
  -webkit-mask-size: contain;
  mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  width: 1em;
  -webkit-mask-position: center;
  mask-position: center;
  height: 0.7em;
  margin-left: 0.9em;
}

.imageteaser-full {
  gap: 0;
}
.imageteaser-full.bg-bright {
  --rwz-col-bg: var(--rwz-col-lightergrey);
}
.imageteaser-full.bg-orange.default-space {
  padding: 0;
}
@media (max-width: 767.98px) {
  .imageteaser-full {
    text-align: center;
  }
}
@media (min-width: 768px) {
  .imageteaser-full {
    grid-template-columns: 50% 50%;
  }
}
.imageteaser-full.imageteaser-image-right {
  grid-template-areas: "imageteaser-bodytext" "imageteaser-gallery";
}
.imageteaser-full.imageteaser-image-right .imageteaser__gallery img {
  clip-path: polygon(0 0, 50% 25vw, 100% 0%, 100% 100%, 0 100%);
}
@media (min-width: 768px) {
  .imageteaser-full.imageteaser-image-right {
    grid-template-areas: "imageteaser-bodytext imageteaser-gallery";
  }
  .imageteaser-full.imageteaser-image-right .imageteaser__gallery img {
    clip-path: polygon(0 0, 100% 0%, 100% 100%, 0 100%, 10vw 50%);
  }
}
@media (min-width: 768px) and (min-width: 992px) {
  .imageteaser-full.imageteaser-image-right {
    grid-template-columns: 50% 50%;
  }
}
.imageteaser-full .imageteaser__gallery img {
  width: 100%;
  max-width: calc(var(--rwz-max-content-width) / 2);
  height: 100%;
  aspect-ratio: 36/25;
  background-color: var(--rwz-col-lightergrey);
  clip-path: polygon(0 0, 100% 0%, 100% 100%, 50% calc(100% - 25vw), 0 100%);
}
@media (min-width: 768px) {
  .imageteaser-full .imageteaser__gallery img {
    clip-path: polygon(0 0, 100% 0%, calc(100% - 10vw) 50%, 100% 100%, 0 100%);
  }
}
.imageteaser-full .imageteaser__bodytext {
  position: relative;
  padding: 4rem var(--bs-gutter-x);
}
@media (min-width: 768px) {
  .imageteaser-full .imageteaser__bodytext {
    place-content: center;
    padding: 4rem;
    width: 100%;
    height: 100%;
  }
}

.columns .imageteaser {
  grid-auto-columns: 1fr;
  grid-template-columns: 1fr;
  grid-template-rows: auto auto;
  gap: 1rem;
  grid-template-areas: "imageteaser-gallery" "imageteaser-bodytext";
}
.columns .imageteaser__gallery img {
  aspect-ratio: 8/5;
  object-fit: cover;
}
.columns .imageteaser__bodytext > h2 {
  display: flex;
  align-items: flex-start;
}
.columns .imageteaser__bodytext > h2::after {
  position: relative;
  background-color: var(--rwz-col-primary);
  content: "";
  min-width: 32px;
  height: 100%;
  display: block;
  margin-left: 0.75rem;
  margin-top: 1vw;
  -webkit-mask-repeat: no-repeat;
  mask-repeat: no-repeat;
  -webkit-mask-image: var(--rwz-icon-file);
  mask-image: var(--rwz-icon-file);
  -webkit-mask-position: top right;
  mask-position: top right;
  -webkit-mask-size: 24px 24px;
  mask-size: 24px 24px;
  --rwz-icon-file: url(/typo3conf/ext/rwz/Resources/Public/Rwz.ag/images/arrow-right.8038c011.svg);
}
@media (min-width: 992px) {
  .columns .imageteaser__bodytext > h2::after {
    margin-top: 0.75rem;
  }
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/